﻿@model FunXgame.Models.Imagen

@{
    ViewBag.Title = "CrearImagen";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="card text-center" style="background-color:whitesmoke">

    @{Html.RenderAction("AdminPanelMenu", "AdminPanel");}

    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Imagenes/ListarImagen">Listar imagenes</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" id="agregarImgNavLink" style="color:white; background-color:black" href="#">Agregar imagenes</a>
                    </li>
                </ul>
            </div>
            <div class="card-body text-left">
                @using (Html.BeginForm("CrearImagen", "Imagenes", FormMethod.Post, new { enctype = "multipart/form-data", id="imagenCrearForm" }))
                {
                    @Html.AntiForgeryToken()

                <div class="form-horizontal">


                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })


                    <div class="form-group">
                        <div class="col-md-10">
                            <img id=img src="~/Content/Assets/Imagenes/noImage.jpg" style="width:280px" />
                        </div>
                    </div>

                    @*<div class="form-group">
                        <img src="~/Content/Assets/Imagenes/noImage.jpg" id="img" style="width:300px" />
                    </div>*@

                    <div class="form-group">
                        <div class="col-md-10">
                            <input type="file" name="Ruta" id="Ruta" accept="image/*" class="form-control" onchange="vistaPrevia(event)" style="background-color:whitesmoke; border-color:whitesmoke" />
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-10">
                            <label>Nombre imagen:</label>
                            @Html.EditorFor(model => model.Nombre_imagen, new { htmlAttributes = new { @class = "form-control", id = "Nombre_imagen" } })

                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-10">
                            <label>Grupo de imagen:</label>
                            @Html.DropDownList("Id_grupo", null, "Seleccione...", htmlAttributes: new { @class = "form-control", id = "Grupo_imagen" })
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" id="btnAgregarImg" value="Agregar imagen" class="btn btn-dark" />
                        </div>
                    </div>
                </div>
                }

            </div>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>
    <script src="~/Scripts/FuncionesAll/imagen_vista_previa.js"></script>
    <script src="~/Scripts/Validaciones/valida_imagen.js"></script>

    <script>



        $(document).ready(function () {

            $('#Ruta').change(function () {
                var filename = $('input[type=file]').val().replace(/C:\\fakepath\\/i, '')
                filename = filename.split('.').shift();
                $('#Nombre_imagen').val(filename);
                validaNombreExiste();
            });

            $('#Nombre_imagen').blur(function () {
                validaNombreExiste();
                
            });
            enviaValidaImagen();
            limpiar();
            
        })
        function limpiar() {
            $('#Nombre_imagen').val('');
            $('#Grupo_imagen').val('');
        }

        function validaNombreExiste() {
            if ($('#Nombre_imagen').val().trim() != '') {
                    $.ajax({
                        type: 'POST',
                        url: '@Url.Action("ExisteImagen")',
                        data: '{Nombre_imagen:' + JSON.stringify($('#Nombre_imagen').val().trim()) + '}',
                        dataType: 'json',
                        contentType: 'application/json; charset=utf-8',
                        success: function (result) {
                            if (result != "") {
                                $('#Nombre_imagen').val('');
                                swal("Ya existe una imagen con ese nombre", "", "warning");
                            }
                        }
                    });
            }
        }
        

    </script>
}
